%global date 20091228

Name:           sugar-implode
Version:        9
Release:        3.%{date}%{?dist}
Summary:        Implode for Sugar

Group:          Sugar/Activities
License:        GPLv2+
URL:            http://wiki.sugarlabs.org/go/Activities/Implode
Source0:        Implode-%{version}-%{date}.tar.bz2
Source1:        sugar-implode-checkout.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python
BuildRequires:  sugar-toolkit

Requires:       sugar
Requires:       python-olpcgames


%description
Implode is a logic game based on the "falling block" model of Tetris. The game
starts with a grid partially filled with blocks. The player makes a move by 
removing adjacent blocks of the same color in groups of three or more. When 
blocks are removed, higher blocks fall to fill their space, and when a column 
is cleared, the blocks on either side close to fill the gap. The object of the
game is to remove all the blocks. Since the patterns of blocks above changes
when lower blocks are removed, the player must carefully decide what order
in which to remove the blocks so that there are no isolated blocks left at
the end of the game. The levels are generated in such a way that there is
always a sequence of removals that clears the board. 

%prep
%setup -q -n Implode-%{version}-%{date}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --prefix=%{buildroot}/%{_prefix}
#executables
find  %{buildroot}%{sugaractivitydir}Implode.activity/*.py -type f | xargs chmod a+x
for file in %{buildroot}%{sugaractivitydir}Implode.activity/{board,boardgen,color,gridwidget,implodeactivity,implodegame,setup}.py; do
   chmod a+x $file
done
#%find_lang com.jotaro.ImplodeActivity


%clean
rm -rf  %{buildroot}


%files
#-f com.jotaro.ImplodeActivity.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{sugaractivitydir}/Implode.activity/


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9-3.20091228
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 9-2.20091228
- recompiling .py files against Python 2.7 (rhbz#623374)

* Mon Dec 28 2009 Fabian Affolter <fabian@bernewireless.net> - 9-1.20090717
- Added python-olpcgames as requirement
- Prepared translations
- Updated to new upstream version 9

* Mon Dec 14 2009 Peter Robinson <pbrobinson@gmail.com> - 5-5.20090717
- Add buildreq gettext to fix build issues on F-12/rawhide - fixes # 539177

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-4.20090717
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Fabian Affolter <fabian@bernewireless.net> - 5-3.20090717
- Changed release because it's still a git checkout
- Modified donwload script
- Translation support will follow, I hope
- Changed URL to new upstream location

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 19 2008 Fabian Affolter <fabian@bernewireless.net> - 5-1
- Initial package for Fedora
